# Class TabixUtils

java.lang.Object
htsjdk.tribble.util.TabixUtils

public class TabixUtils extends Object
classes that have anything to do with tabix

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TabixUtils.TIndex`
`static class`
`TabixUtils.TIntv`
`static class`
`TabixUtils.TPair64`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`STANDARD_INDEX_EXTENSION`
Deprecated.
Use since June 2019 `FileExtensions.TABIX_INDEX` instead.

## Constructor Summary

Constructors
Constructor
Description
`TabixUtils()`

## Method Summary

Modifier and Type
Method
Description
`static SAMSequenceDictionary`
`getSequenceDictionary(File tabixIndex)`
Generates the SAMSequenceDictionary from the given tabix index file
`static boolean`
`less64(long u, long v)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STANDARD_INDEX_EXTENSION

@Deprecated public static final String STANDARD_INDEX_EXTENSION
Deprecated.
Use since June 2019 `FileExtensions.TABIX_INDEX` instead.

See Also:
  - Constant Field Values

## Constructor Details

### TabixUtils

public TabixUtils()

## Method Details

### less64

public static boolean less64(long u, long v)

### getSequenceDictionary

public static SAMSequenceDictionary getSequenceDictionary(File tabixIndex)
Generates the SAMSequenceDictionary from the given tabix index file

Parameters:
  `tabixIndex` - the tabix index file
Returns:
  non-null sequence dictionary